<script>
    export let x;
    export let y;
    export let scale = 2;
    export let fill = "black";
    export let duration=3;
    export let minradius=7;
    export let maxradius=15;
</script>

<g transform="translate({x},{y}) scale({scale},{scale})">
    <circle cx="15" cy="15" r="{maxradius}" fill="{fill}">
        <animate attributeName="r" from="15" to="15"
                 begin="0s" dur="{duration}s"
                 values="{maxradius};{minradius};{maxradius}" calcMode="linear"
                 repeatCount="indefinite" />
        <animate attributeName="fill-opacity" from="1" to="1"
                 begin="0s" dur="{duration}s"
                 values="1;.25;1" calcMode="linear"
                 repeatCount="indefinite" />
    </circle>

    <circle cx="45" cy="15" r="{minradius}" fill-opacity="0.3" fill="{fill}">
        <animate attributeName="r" from="0" to="0"
                 begin="0s" dur="{duration}s"
                 values="{minradius};{maxradius};{minradius}" calcMode="linear"
                 repeatCount="indefinite" />
        <animate attributeName="fill-opacity" from="0.5" to="0.5"
                 begin="0s" dur="{duration}s"
                 values=".25;1;.25" calcMode="linear"
                 repeatCount="indefinite" />
    </circle>

    <!-- <circle cx="75" cy="15" r="{maxradius}" fill="{fill}">
        <animate attributeName="r" from="15" to="15"
                 begin="{duration/3}s" dur="{duration}s"
                 values="{maxradius};{minradius};{maxradius}" calcMode="linear"
                 repeatCount="indefinite" />
        <animate attributeName="fill-opacity" from="1" to="1"
                 begin="{duration/3}s" dur="{duration}s"
                 values="1;.25;1" calcMode="linear"
                 repeatCount="indefinite" />
    </circle> -->

    <!-- <circle cx="15" cy="15" r="15" pathLength="360" stroke-dasharray="120,240" fill="none" stroke-width="7" stroke="#888" stroke-opacity="0.5">
        <animateTransform
        attributeName="transform"
        begin="0s"
        dur="1s"
        type="rotate"
        from="0 15 15"
        to="360 15 15"
        repeatCount="indefinite"/>
    </circle>
    <circle cx="15" cy="15" r="15" fill="none" stroke-width="7" stroke="#888" stroke-opacity="0.2">
    </circle> -->

<!--
    <path opacity="0.2" fill="#000" d="M20.201,5.169c-8.254,0-14.946,6.692-14.946,14.946c0,8.255,6.692,14.946,14.946,14.946
        s14.946-6.691,14.946-14.946C35.146,11.861,28.455,5.169,20.201,5.169z M20.201,31.749c-6.425,0-11.634-5.208-11.634-11.634
        c0-6.425,5.209-11.634,11.634-11.634c6.425,0,11.633,5.209,11.633,11.634C31.834,26.541,26.626,31.749,20.201,31.749z"/>
      <path fill="#000" d="M26.013,10.047l1.654-2.866c-2.198-1.272-4.743-2.012-7.466-2.012h0v3.312h0
        C22.32,8.481,24.301,9.057,26.013,10.047z">
        <animateTransform attributeType="xml"
          attributeName="transform"
          type="rotate"
          from="0 20 20"
          to="360 20 20"
          dur="2s"
          repeatCount="indefinite"/>
    </path> -->
</g>
